# -*- coding: utf-8 -*-
# Generated by Django 1.11.4 on 2018-05-19 13:52
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='AuthGroup',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=80, unique=True)),
            ],
            options={
                'db_table': 'auth_group',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='AuthGroupPermissions',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
            options={
                'db_table': 'auth_group_permissions',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='AuthPermission',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('codename', models.CharField(max_length=100)),
            ],
            options={
                'db_table': 'auth_permission',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='AuthUser',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password', models.CharField(max_length=128)),
                ('last_login', models.DateTimeField(blank=True, null=True)),
                ('is_superuser', models.BooleanField()),
                ('username', models.CharField(max_length=150, unique=True)),
                ('first_name', models.CharField(max_length=30)),
                ('last_name', models.CharField(max_length=30)),
                ('email', models.CharField(max_length=254)),
                ('is_staff', models.BooleanField()),
                ('is_active', models.BooleanField()),
                ('date_joined', models.DateTimeField()),
            ],
            options={
                'db_table': 'auth_user',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='AuthUserGroups',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
            options={
                'db_table': 'auth_user_groups',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='AuthUserUserPermissions',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
            options={
                'db_table': 'auth_user_user_permissions',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='DjangoAdminLog',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('action_time', models.DateTimeField()),
                ('object_id', models.TextField(blank=True, null=True)),
                ('object_repr', models.CharField(max_length=200)),
                ('action_flag', models.SmallIntegerField()),
                ('change_message', models.TextField()),
            ],
            options={
                'db_table': 'django_admin_log',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='DjangoContentType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('app_label', models.CharField(max_length=100)),
                ('model', models.CharField(max_length=100)),
            ],
            options={
                'db_table': 'django_content_type',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='DjangoMigrations',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('app', models.CharField(max_length=255)),
                ('name', models.CharField(max_length=255)),
                ('applied', models.DateTimeField()),
            ],
            options={
                'db_table': 'django_migrations',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='DjangoSession',
            fields=[
                ('session_key', models.CharField(max_length=40, primary_key=True, serialize=False)),
                ('session_data', models.TextField()),
                ('expire_date', models.DateTimeField()),
            ],
            options={
                'db_table': 'django_session',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Donatur',
            fields=[
                ('nomor_identitas', models.CharField(max_length=20, primary_key=True, serialize=False)),
                ('email', models.CharField(max_length=50)),
                ('nama', models.CharField(max_length=50)),
                ('npwp', models.CharField(max_length=20)),
                ('no_telp', models.CharField(blank=True, max_length=20, null=True)),
                ('alamat', models.CharField(max_length=50)),
            ],
            options={
                'db_table': 'donatur',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='IndividualDonor',
            fields=[
                ('nik', models.CharField(max_length=16, primary_key=True, serialize=False)),
            ],
            options={
                'db_table': 'individual_donor',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Mahasiswa',
            fields=[
                ('npm', models.CharField(max_length=20, primary_key=True, serialize=False)),
                ('email', models.CharField(max_length=50)),
                ('nama', models.CharField(max_length=50)),
                ('no_telp', models.CharField(blank=True, max_length=20, null=True)),
                ('alamat_tinggal', models.CharField(max_length=50)),
                ('alamat_domisili', models.CharField(max_length=50)),
                ('nama_bank', models.CharField(max_length=50)),
                ('no_rekening', models.CharField(max_length=20)),
                ('nama_pemilik', models.CharField(max_length=20)),
            ],
            options={
                'db_table': 'mahasiswa',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Pengguna',
            fields=[
                ('username', models.CharField(max_length=20, primary_key=True, serialize=False)),
                ('password', models.CharField(max_length=20)),
                ('role', models.CharField(max_length=20)),
            ],
            options={
                'db_table': 'pengguna',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='RiwayatAkademik',
            fields=[
                ('no_urut', models.IntegerField(primary_key=True, serialize=False)),
                ('semester', models.CharField(max_length=1)),
                ('tahun_ajaran', models.CharField(blank=True, max_length=9, null=True)),
                ('jumlah_sks', models.IntegerField()),
                ('ips', models.FloatField()),
                ('lampiran', models.CharField(max_length=50)),
            ],
            options={
                'db_table': 'riwayat_akademik',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='SkemaBeasiswa',
            fields=[
                ('kode', models.IntegerField(primary_key=True, serialize=False)),
                ('nama', models.CharField(max_length=50)),
                ('jenis', models.CharField(max_length=50)),
                ('deskripsi', models.CharField(max_length=50)),
            ],
            options={
                'db_table': 'skema_beasiswa',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='TempatWawancara',
            fields=[
                ('kode', models.IntegerField(primary_key=True, serialize=False)),
                ('nama', models.CharField(max_length=50)),
                ('lokasi', models.CharField(max_length=50)),
            ],
            options={
                'db_table': 'tempat_wawancara',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Yayasan',
            fields=[
                ('no_sk_yayasan', models.CharField(max_length=20, primary_key=True, serialize=False)),
                ('email', models.CharField(max_length=50)),
                ('nama', models.CharField(max_length=50)),
                ('no_telp_cp', models.CharField(blank=True, max_length=20, null=True)),
            ],
            options={
                'db_table': 'yayasan',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Admin',
            fields=[
                ('username', models.ForeignKey(db_column='username', on_delete=django.db.models.deletion.DO_NOTHING, primary_key=True, serialize=False, to='app_info_beasiswa.Pengguna')),
            ],
            options={
                'db_table': 'admin',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Pendaftaran',
            fields=[
                ('kode_skema_beasiswa', models.ForeignKey(db_column='kode_skema_beasiswa', on_delete=django.db.models.deletion.DO_NOTHING, primary_key=True, serialize=False, to='app_info_beasiswa.SkemaBeasiswa')),
                ('no_urut', models.IntegerField()),
                ('waktu_daftar', models.DateTimeField()),
                ('status_daftar', models.CharField(max_length=20)),
                ('status_terima', models.CharField(max_length=20)),
            ],
            options={
                'db_table': 'pendaftaran',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='SkemaBeasiswaAktif',
            fields=[
                ('kode_skema_beasiswa', models.ForeignKey(db_column='kode_skema_beasiswa', on_delete=django.db.models.deletion.DO_NOTHING, primary_key=True, serialize=False, to='app_info_beasiswa.SkemaBeasiswa')),
                ('no_urut', models.IntegerField(unique=True)),
                ('tgl_mulai_pendaftaran', models.DateField()),
                ('tgl_tutup_pendaftaran', models.DateField()),
                ('periode_penerimaan', models.CharField(max_length=50)),
                ('status', models.CharField(max_length=20)),
                ('jumlah_pendaftar', models.IntegerField()),
            ],
            options={
                'db_table': 'skema_beasiswa_aktif',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='SyaratBeasiswa',
            fields=[
                ('kode_beasiswa', models.ForeignKey(db_column='kode_beasiswa', on_delete=django.db.models.deletion.DO_NOTHING, primary_key=True, serialize=False, to='app_info_beasiswa.SkemaBeasiswa')),
                ('syarat', models.CharField(max_length=50)),
            ],
            options={
                'db_table': 'syarat_beasiswa',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Pembayaran',
            fields=[
                ('urutan', models.IntegerField(primary_key=True, serialize=False)),
                ('kode_skema_beasiswa', models.ForeignKey(db_column='kode_skema_beasiswa', on_delete=django.db.models.deletion.DO_NOTHING, primary_key=True, to='app_info_beasiswa.SkemaBeasiswaAktif')),
                ('keterangan', models.CharField(max_length=50)),
                ('tgl_bayar', models.DateField()),
                ('nominal', models.IntegerField()),
            ],
            options={
                'db_table': 'pembayaran',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Pengumuman',
            fields=[
                ('tanggal', models.DateField()),
                ('kode_skema_beasiswa', models.ForeignKey(db_column='kode_skema_beasiswa', on_delete=django.db.models.deletion.DO_NOTHING, primary_key=True, serialize=False, to='app_info_beasiswa.SkemaBeasiswaAktif')),
                ('judul', models.CharField(max_length=20)),
                ('isi', models.CharField(max_length=255)),
            ],
            options={
                'db_table': 'pengumuman',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Wawancara',
            fields=[
                ('kode_skema_beasiswa', models.ForeignKey(db_column='kode_skema_beasiswa', on_delete=django.db.models.deletion.DO_NOTHING, primary_key=True, serialize=False, to='app_info_beasiswa.SkemaBeasiswaAktif')),
                ('jadwal', models.DateTimeField()),
            ],
            options={
                'db_table': 'wawancara',
                'managed': False,
            },
        ),
    ]
